if not VoiceOver or not VoiceOver.DataModules then return end

AI_VoiceOverData_WarWithin_es = {}

function AI_VoiceOverData_WarWithin_es:GetSoundPath(fileName, event)
    setfenv(1, VoiceOver)
    if Enums.SoundEvent:IsQuestEvent(event) then
        return format([[generated\sounds\quests\%s.mp3]], fileName)
    elseif Enums.SoundEvent:IsGossipEvent(event) then
        return format([[generated\sounds\gossip\%s.mp3]], fileName)
    elseif event == Enums.SoundEvent.ItemReceived then
        return format([[generated\sounds\items\%s.mp3]], fileName)
    else
        -- Manejo de otros posibles eventos
        return format([[generated\sounds\%s.mp3]], fileName)
    end
end

VoiceOver.DataModules:Register("AI_VoiceOverData_WarWithin_es", AI_VoiceOverData_WarWithin_es)
